package com.miyzh.dao;

import com.miyzh.entity.MedicineReturnTemp;
import com.miyzh.entity.dto.MedicineReturnDto;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface MedicineReturnDao {

    // 西药销售出库记录
    List<MedicineReturnTemp> listMedicineOutbound(String clinicId);

    // 中药销售出库记录
    List<MedicineReturnTemp> listChinaMedicineOutbound(String clinicId);

    // 西药损耗/领用出库记录
    List<MedicineReturnTemp> listMedicineOutTreasury(String clinicId);

    // 中药损耗/领用出库记录
    List<MedicineReturnTemp> listChinaMedicineOutTreasury(String clinicId);

    // 西药采购退货出库记录
    List<MedicineReturnTemp> listMedicineBack(String clinicId);

    // 中药采购退货出库记录
    List<MedicineReturnTemp> listChinaMedicineBack(String clinicId);

    // 西药盘点盘亏出库记录
    List<MedicineReturnTemp> listMedicineInventory(String clinicId);

    // 中药盘点盘亏出库记录
    List<MedicineReturnTemp> listChinaMedicineInventory(String clinicId);

}
