package com.miyzh.entity.dto;

import com.miyzh.entity.MedicineReturn;
import com.miyzh.entity.MedicineReturnTemp;
import lombok.Data;

import java.util.List;

@Data
public class MedicineReturnDto extends MedicineReturnTemp {

    private String storeCode; // 医药机构编码

    private String storePrecordCode; // 采购记录编码(医药机构)

    private String stockoutType; //出库类型

    private String returnAnnotation; //出库原因

    private List<MedicineReturn> medicineInfos; //药品/耗材列表

}
